HoloLens 2 Prerequisites

Describes the prerequisites needed to successfully configure and run the HoloLens 2 with Unreal Engine.

Windows
MacOS
Linux

On this page, you'll find necessary prerequisites needed to start developing with Unreal Engine for the HoloLens 2 platform. 

HoloLens 2 Prerequisites

Here are some links to Microsoft's HoloLens 2 system requirements and tools.

Unreal Engine Visual Studio Configuration

Installing Visual Studio is not enough; you will need to install additional workloads and components.

  • Install or update to the latest version of Visual Studio 2017.

  • Install the following workloads:

    • Desktop development with C++

    • .NET desktop development

    • Universal Windows Platform development

  • Install the following individual components:

    • .NET > .NET Framework 4.6.2 targeting pack

    • Compilers, build tools, and runtimes > C++ Universal Windows Platform tools for ARM64

    • Compilers, build tools, and runtimes > VC++ 2017 version 15.9 v14.16 latest v141 tools

    • SDKs, libraries, and frameworks > Visual C++ ATL for ARM64

    • SDKs, libraries, and frameworks > Visual C++ MFC for ARM64

Select Skin
Light
Dark

Welcome to the new Unreal Engine 4 Documentation site!

We're working on lots of new features including a feedback system so you can tell us how we are doing. It's not quite ready for use in the wild yet, so head over to the Documentation Feedback forum to tell us about this page or call out any issues you are encountering in the meantime.

We'll be sure to let you know when the new system is up and running.

Post Feedback